For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/template/get-api-template-v1list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List templates

GET
/api/template/v1/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const templates = await reloop.template.list({ page: 1, limit: 10 });
1{
2 "templates": [
3 {
4 "id": "con_123456789",
5 "name": "Newsletter",
6 "description": "example_description",
7 "subject": "Welcome to Reloop",
8 "fromEmail": "example_fromEmail",
9 "replyTo": "example_replyTo",
10 "previewText": "example_previewText",
11 "organizationId": "example_organizationId",
12 "createdByUserId": "example_createdByUserId",
13 "status": "draft",
14 "content": [],
15 "variables": [
16 {
17 "name": "Newsletter",
18 "type": "string",
19 "defaultValue": null
20 }
21 ],
22 "currentVersion": 0,
23 "thumbnailUrl": "example_thumbnailUrl",
24 "isDefault": true,
25 "deletedAt": null,
26 "createdAt": "2026-03-23T10:00:00.000Z",
27 "updatedAt": "2026-03-23T10:00:00.000Z"
28 }
29 ],
30 "total": 1,
31 "page": 0,
32 "limit": 0
33}

Query Parameters

pagestring
limitstring

Was this page helpful?